[3.1] Update von 3.0.12 auf 3.1.12 schießt quer

Fragen rund um die Installation, Administration und Benutzung von phpBB 3.2 und höher und die Konvertierung zu phpBB 3.3.
Forumsregeln
Bitte im Thementitel den Präfix deiner phpBB-Version [3.3] oder [3.2] angeben
Lausbua
Mitglied
Beiträge: 8
Registriert: 23.09.2018 19:18

[3.1] Update von 3.0.12 auf 3.1.12 schießt quer

Beitrag von Lausbua »

Hallo Gemeinschaft

Ich habe ein "recht angestaubtes" Forum, das derweil noch unter 3.0.12 läuft. Da der vServer dahinter nun durch ein Update des Providers ein (halbwegs) aktuelles Ubuntu 18.04 spendiert bekommen hat, habe ich mehrere Probleme.

#1: Ich kann unter dem alten Forum nun keine Beiträge mehr posten, Grund scheint mir eine aktuellere PHP-Version zu sein. Die Fehlermeldung lautet
[phpBB Debug] PHP Warning: in file [ROOT]/includes/functions_content.php on line 678: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead

#2: Mein nächster Gedanke war, einfach das Forum upzudaten. Hierzu wollte ich von 3.0.12 auf 3.1.12 updaten und bin auf das nächste Problem gestoßen. Das Update-Paket habe ich im DocumentRoot entpackt, was mir einen Unterordner "install" mit den Update-Files darin gebracht hat. Ich kann es zwar mit meinedomain.tld/install/ im Browser aufrufen, allerdings bleibt nach einem Klick auf "update" der Bildschirm weiß. Somit habe ich auch hier keine Chance auf ein aktuelleres Forum.

Da das ganze System noch recht jungfräulich ist, musste ich in der php.ini auch eine Hand voll Variablen anpassen, beispielsweise "mbstring.http_input = pass" oder "mbstring.http_output = pass". Ich vermute daher, dass es beim PHP noch etwas hakt und dass das Update von 3.0.12 auf 3.1.12 an sich okay ist. Gibt es die Werte der php.ini für die 3.1.x und 3.2.x irgendwo gesammelt, damit ich mir das anschauen kann?

Als nächsten Schritt wollte ich das Forum auf eine aktuelle 3.2.x hochziehen. Ich habe nur kein Update gefunden, um die 3.0.12 auf eine zeitgemäße 3.2.x upzudaten.


Danke für die Hilfe, ein ziemlich ratloser

Lausbua

Lausbua
Mitglied
Beiträge: 8
Registriert: 23.09.2018 19:18

Re: [3.1] Update von 3.0.12 auf 3.1.12 schießt quer

Beitrag von Lausbua »

Ach ja, die aktuelle PHP-Version auf dem neuen System ist die PHP Version 7.2.24-0ubuntu0.18.04.1

Benutzeravatar
chris1278
Mitglied
Beiträge: 1898
Registriert: 12.11.2007 06:20
Wohnort: Euskirchen
Kontaktdaten:

Re: [3.1] Update von 3.0.12 auf 3.1.12 schießt quer

Beitrag von chris1278 »

Ich denke mal, das Problem liegt an der PHP Version. Wenn ich mich recht erinnere, läuft PHP 7 erst ab phpbb 3.2. Das optimalste wäre, wenn du dir ein Backup der Datenbank machen würdest und das lokal auf deinem Rechner einspielst.

Um das lokal zu machen, Suche mal mit google einfach nach Apache for friends dort findest du auch Versionen die mit php 5.6 laufen. Dann kannst du das Forum lokal aufspielen und dann Schritt für Schritt auf die aktuelle phpbb Version updaten. Wenn du denn Update Vorgang dann erfolgreich erledigt hast, dann kannst du das Forum unter php 7.2 (auf keinen fall 7.3.9) laufen lassen.

Benutzeravatar
vfrblue
Supporter
Supporter
Beiträge: 1816
Registriert: 22.11.2016 18:46
Wohnort: Niedersachsen-West
Kontaktdaten:

Re: [3.1] Update von 3.0.12 auf 3.1.12 schießt quer

Beitrag von vfrblue »

phpBB 3.1.x ist nicht mit PHP 7.x lauffähig. https://www.phpbb.de/kb/systemanforderungen
Gruß Hermann

phpBB-Styles, Skins, Themes by VT-Theme
Forum VFR-OC

Benutzeravatar
chris1278
Mitglied
Beiträge: 1898
Registriert: 12.11.2007 06:20
Wohnort: Euskirchen
Kontaktdaten:

Re: [3.1] Update von 3.0.12 auf 3.1.12 schießt quer

Beitrag von chris1278 »

@vrfblue

Das war ja gemeint als ich sagte das php 7 erst mit phpbb 3.2 läuft.

Lausbua
Mitglied
Beiträge: 8
Registriert: 23.09.2018 19:18

Re: [3.1] Update von 3.0.12 auf 3.1.12 schießt quer

Beitrag von Lausbua »

Hmm, aber was wäre, wenn ich schon eine bestehende 3.1.x hätte und auf die 3.2.x update? Würde das mit PHP 7.2.x durchgehen, wo die 3.1 kein PHP 7.x unterstützt?

Gibt es da vielleicht ein Update auf shell-Script-Basis, das mir die jetzige 3.0.12 mal ein wenig aktualisiert? Ich würde auch gleich in einem Rutsch auf ne aktuelle 3.2.x updaten, wenn das für mich die Lösung wäre.

Benutzeravatar
vfrblue
Supporter
Supporter
Beiträge: 1816
Registriert: 22.11.2016 18:46
Wohnort: Niedersachsen-West
Kontaktdaten:

Re: [3.1] Update von 3.0.12 auf 3.1.12 schießt quer

Beitrag von vfrblue »

Lies dir diese Anleitung durch: https://www.phpbb.de/kb/phpBB32_upgrade_from_30
Gruß Hermann

phpBB-Styles, Skins, Themes by VT-Theme
Forum VFR-OC

Lausbua
Mitglied
Beiträge: 8
Registriert: 23.09.2018 19:18

Re: [3.1] Update von 3.0.12 auf 3.1.12 schießt quer

Beitrag von Lausbua »

Okay, soweit klar.

Letzte Frage noch: Wenn ich aber ein LAMP mit PHP 5.6.x habe, könnte ich mit dem Updater von 3.0.12 auf 3.1.x updaten, und als zweiten Schritt von 3.1.x auf ein aktuelles 3.2.x? Stimmt soweit?

Lässt sich die aktualisierte Version dann auf ein System mit PHP 7.2.x übertragen?

Benutzeravatar
Crizzo
Administrator
Administrator
Beiträge: 10780
Registriert: 19.05.2005 21:45
Kontaktdaten:

Re: [3.1] Update von 3.0.12 auf 3.1.12 schießt quer

Beitrag von Crizzo »

Lausbua hat geschrieben:
05.12.2019 19:00
Okay, soweit klar.

Letzte Frage noch: Wenn ich aber ein LAMP mit PHP 5.6.x habe, könnte ich mit dem Updater von 3.0.12 auf 3.1.x updaten, und als zweiten Schritt von 3.1.x auf ein aktuelles 3.2.x? Stimmt soweit?
Der Zwischenschritt auf 3.1.x ist einfach unnötig, warum willst du das tun?
Lausbua hat geschrieben:
05.12.2019 19:00
Lässt sich die aktualisierte Version dann auf ein System mit PHP 7.2.x übertragen?
Das ist kein Problem.

Du musst das Update nur auf einer PHP-Version durchführen, die die neue Software unterstützt, das wäre es. Es ist nur hilfreich, wenn 3.0.x noch läuft, weil du dann eben noch ein paar Einstellungen ohne Datenbank-Eingriff korrigieren kannst, die sonst evtl. Probleme machen z.B. den Style Bereich von subsilver2 und deren Kinder bereinigen.

Lausbua
Mitglied
Beiträge: 8
Registriert: 23.09.2018 19:18

Re: [3.1] Update von 3.0.12 auf 3.1.12 schießt quer

Beitrag von Lausbua »

Crizzo hat geschrieben:
05.12.2019 19:23
Der Zwischenschritt auf 3.1.x ist einfach unnötig, warum willst du das tun?
Kann ich denn von 3.0.12 in einem Rutsch auf eine aktuelle 3.2.x hochziehen? Ich bin der Meinung, kein entsprechendes Update gesehen zu haben, aber deine Antwort hat mich jetzt ein wenig verunsichert. Besser, ich schaue nochmal nach :grin: Danke

Antworten

Zurück zu „Support-Forum“